> ## Documentation Index
> Fetch the complete documentation index at: https://developer.utgl.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Payouts

> Retrieve a list of payouts



## OpenAPI

````yaml /issuing/api-reference/openapi.yaml get /payouts
openapi: 3.1.0
info:
  title: API Reference
  version: '1.0'
servers:
  - url: https://access.utgl.io/v1
  - url: https://sandbox.access.utgl.io/v1
security:
  - Basic: []
  - Bearer: []
tags:
  - name: Accounts
  - name: Transactions
  - name: Card Accounts
  - name: Card Products
  - name: Cards
  - name: Digital Custody
  - name: Fee
  - name: Payout
paths:
  /payouts:
    get:
      tags:
        - Payouts
      summary: Get Payouts
      description: Retrieve a list of payouts
      operationId: getPayouts
      parameters:
        - $ref: '#/components/parameters/PageSize'
        - $ref: '#/components/parameters/PageToken'
        - in: query
          name: payoutId
          schema:
            type: string
            description: Filter by payout id
        - in: query
          name: accountId
          schema:
            type: string
            description: Filter by account id
        - in: query
          name: xid
          schema:
            type: string
            description: Filter by xid
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                type: object
                allOf:
                  - $ref: '#/components/schemas/PaginatedResult'
                  - type: object
                    properties:
                      payouts:
                        type: array
                        items:
                          $ref: '#/components/schemas/Payout'
components:
  parameters:
    PageSize:
      name: pageSize
      in: query
      description: >
        Limits the number returned items

        Some collections have a upper bound that will disregard this value.

        In case the specified value is higher than the allowed limit, the
        collection limit will be used.

        If no page size is provided, the collection will determine the page size
        itself.
      schema:
        type: number
        minimum: 1
    PageToken:
      name: pageToken
      in: query
      schema:
        type: string
        example: aWVHZWV5OVgK
  schemas:
    PaginatedResult:
      type: object
      properties:
        prevPageToken:
          $ref: '#/components/schemas/PageToken'
        nextPageToken:
          $ref: '#/components/schemas/PageToken'
    Payout:
      type: object
      properties:
        id:
          $ref: '#/components/schemas/Id'
        xid:
          $ref: '#/components/schemas/Xid'
        xmetadata:
          $ref: '#/components/schemas/Xmetadata'
        created:
          type: string
          format: date-time
        method:
          type: string
          description: Payout method
          enum:
            - BANK_SWIFT
            - UNIONPAY
        destination:
          oneOf:
            - $ref: '#/components/schemas/BankAccount'
            - $ref: '#/components/schemas/UnionPayAccount'
            - $ref: '#/components/schemas/UnionPayAccount'
        accountId:
          type: string
          format: uuid
          example: 6a3176fe-7715-4fe0-a548-034912d7f800
          description: Account id to fund the payout from
        sourceCurrency:
          type: string
          description: Currency to send
        sourceAmount:
          type: number
          description: Amount to send
        destinationCurrency:
          type: string
          description: Receive currency
          example: RMB
        destinationAmount:
          type: number
          description: Receive amount
        rate:
          type: number
          description: Exchange rate
        updated:
          type: string
          format: date-time
        status:
          type: string
          enum:
            - requested
            - processing
            - completed
            - failed
            - cancelled
          description: |
            Overall status of the payout:
            - `requested`: Payout has been requested but not yet processing
            - `processing`: Payout is being processed (may include AML review)
            - `completed`: Payout has been successfully completed
            - `failed`: Payout failed to process
            - `cancelled`: Payout was cancelled
        subStatus:
          type: string
          nullable: true
          description: >
            Detailed sub-status providing additional context about the payout
            state.


            **Important Sub-Statuses:**

            - `ORDER_UNDER_AML_REVIEW`: The payout is under Anti-Money
            Laundering (AML) compliance review.
              When in this state:
              * The payout **cannot be cancelled** by users or API calls
              * The transaction is held pending manual compliance review
              * Status will remain `processing` until review is complete
              * After review, it will move to `completed` or `cancelled` by the payment gateway

            Other sub-statuses may exist for different processing stages.
          example: ORDER_UNDER_AML_REVIEW
        cancellationReason:
          type: string
          description: Reason for cancellation (only present when status is `cancelled`)
    PageToken:
      type: string
      description: Opaque page token to retrieve next or previous set of results.
    Id:
      type: string
      format: uuid
      description: ID of resource
    Xid:
      type: string
      description: >-
        External identifier, unique across all resources created under this
        account.
    Xmetadata:
      type: object
      description: External metadata
      example:
        key1: value1
        key2:
          - value2.1
          - value2.2
      additionalProperties: true
      oneOf:
        - type: string
        - type: array
          items:
            type: string
    BankAccount:
      type: object
      title: Bank Account (SWIFT)
      properties:
        type:
          type: string
          title: Account Type
          description: The type of bank account
          default: BANK_ACCOUNT
        accountNumber:
          type: string
          description: The account number of the bank account
          example: 123456
        routingNumber:
          type: string
          description: The routing number of the bank account
          example: 1234
        country:
          type: string
          description: The country of the bank account
          example: US
        bankName:
          type: string
          description: The name of the bank where the account is held
          example: Bank of America
        bankAddress:
          type: string
          description: The address of the bank where the account is held
          example: 123 Main St, New York, NY 10001, USA
        swiftCode:
          type: string
          description: The SWIFT code of the bank where the account is held
          example: BOFAUS3N
        accountHolderName:
          type: string
          description: The name of the account holder
          example: John Doe
        accountHolderAddress:
          type: string
          description: The address of the account holder
          example: 456 Park Ave, New York, NY 10022, USA
    UnionPayAccount:
      title: UnionPay Card Account
      type: object
      required:
        - accountNumber
        - firstName
        - firstNameCN
        - surname
        - surnameCN
        - address
      properties:
        accountNumber:
          type: string
          description: >-
            UnionPay account​ number (mainland china resident account holders
            only)
          pattern: ^\d{16,19}$
          example: 6225888888888888
        firstName:
          type: string
          description: Account holder's first name
          example: DAWEN
        firstNameCN:
          type: string
          description: Account holder first name in Chinese
          pattern: ^[\u4e00-\u9fa5]+$
          example: 大文
        surname:
          type: string
          description: Account holder surname
          example: CHEN
        surnameCN:
          type: string
          description: The receiver's surname in Chinese
          example: 陈
        address:
          type: string
          description: >-
            The account's address. Can be in Chinese or English. Must be longer
            than 20 characters and contain at least one space and one number.
            Chinese characters will be automatically converted to pinyin.
          example: 上海市黄浦区南京东路333号202室
  securitySchemes:
    Basic:
      type: http
      scheme: basic
    Bearer:
      type: http
      scheme: bearer
      bearerFormat: JWT

````